function [x] = beta32(n)
x = zeros(1,n);
% find maximum of f/g
Q = [-12 12 0 0]; % we define the polynomial 12x^2(1-x) = -12x^3 + 12x^2 + 0x + 0
maximum = roots(polyder(Q));
maximum = maximum(maximum>0 & maximum<1);

c = polyval(Q,maximum); % ecaluate polynomial Q(maximum)
ratio = Q./c;
for i = 1:1:n
    flag = 1;
    while flag
        u1 = rand;
        u2 = rand;
        if (u1 <= polyval(ratio,u2))
            x(i) = u2;
            flag = 0;
        end
    end
end

h = histogram(x,50,'normalization','pdf');
set(h,'facecolor',[0.8 .8 1], 'FaceAlpha',1)
hold on
f = @(x) 12*x^2*(1-x);
[x,y]=fplot(f,[0,1]);
plot(x,y,'LineWidth',2)
[x,y]=fplot(@(x) c, [0,1]);
plot(x,y,'--k','LineWidth',2);
l = legend('Samples','$f(x)$','$c\cdot g(x)$','location','northeast');
set(l,'interpreter','latex')

end